curl --request PATCH \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/tags/dimensions/key/{dimensionKey} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"display_name": "<string>",
"strictness": "NON_BALANCING",
"user_visible": false
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/tags/dimensions/key/{dimensionKey}"
payload = {
"key": "<string>",
"display_name": "<string>",
"strictness": "NON_BALANCING",
"user_visible": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key: '<string>',
display_name: '<string>',
strictness: 'NON_BALANCING',
user_visible: false
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/tags/dimensions/key/{dimensionKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"strictness": "NON_BALANCING",
"defined_values": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"value": "<string>",
"type": "TagValue",
"display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_visible": false,
"display_name": "<string>",
"deleted_at": "2023-11-07T05:31:56Z"
}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}Update tag dimension by key
Updates a specific tag dimension by its key string. All fields are optional.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business.
The key string of the tag dimension to update.
Body
Parameters for updating a tag dimension. All fields are optional.
The tag dimension key.
Display name for the tag dimension. Layer shows this as the filter label and the column header when the dimension splits a report.
Tag strictness level - BALANCING requires tags to be applied to whole journal entries that balance, NON_BALANCING has no such restriction and can therefore be applied to individual line items of entries, invoices, etc.
BALANCING, NON_BALANCING "NON_BALANCING"
Whether Layer's embedded components show this dimension to end users. Set this to true for a dimension that users tag with and filter reports by. The default of false keeps the dimension available for tagging and API-level filtering, but hides it in the UI.
Response
Tag dimension updated successfully.
Show child attributes
Show child attributes